using System.ComponentModel;
using VeterinaryDataModels.Models;

namespace VeterinaryContracts.ViewModels
{
    public class PurchaseViewModel : IPurchaseModel
	{
		public int Id { get; set; }
		[DisplayName("Хозяин")]
		public int OwnerId { get; set; }
		public int DrugId { get; set; }
		[DisplayName("Лекарство")]
		public string DrugName { get; set; } = string.Empty;
		[DisplayName("Количество")]
		public int Count { get; set; }
		[DisplayName("Сумма")]
		public double Sum { get; set; }
		[DisplayName("Дата покупки")]
		public DateTime DateCreate { get; set; }
		public Dictionary<int, IPetModel> PurchasePet { get; set; } = new();
	}
}
